Public Types | Public Member Functions

# Gnome::Gda::DataModelError Class Reference

Exception class for Gda connection errors. More...

Inheritance diagram for Gnome::Gda::DataModelError:
[legend]
Collaboration diagram for Gnome::Gda::DataModelError:
[legend]

List of all members.

## Public Types
enum | Code { DATA_MODEL_ROW_OUT_OF_RANGE_ERROR, DATA_MODEL_COLUMN_OUT_OF_RANGE_ERROR, DATA_MODEL_VALUES_LIST_ERROR, DATA_MODEL_VALUE_TYPE_ERROR, DATA_MODEL_ROW_NOT_FOUND_ERROR, DATA_MODEL_ACCESS_ERROR, DATA_MODEL_FEATURE_NON_SUPPORTED_ERROR, DATA_MODEL_FILE_EXIST_ERROR, DATA_MODEL_XML_FORMAT_ERROR }
## Public Member Functions
| DataModelError (Code error_code, const Glib::ustring& error_message)
| DataModelError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gda connection errors.

## Member Enumeration Documentation

enum Gnome::Gda::DataModelError::Code

Enumerator:

  DATA_MODEL_ROW_OUT_OF_RANGE_ERROR |
  DATA_MODEL_COLUMN_OUT_OF_RANGE_ERROR |
  DATA_MODEL_VALUES_LIST_ERROR |
  DATA_MODEL_VALUE_TYPE_ERROR |
  DATA_MODEL_ROW_NOT_FOUND_ERROR |
  DATA_MODEL_ACCESS_ERROR |
  DATA_MODEL_FEATURE_NON_SUPPORTED_ERROR |
  DATA_MODEL_FILE_EXIST_ERROR |
  DATA_MODEL_XML_FORMAT_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::DataModelError::DataModelError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::DataModelError::DataModelError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::DataModelError::code | ( | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/datamodel.h